Add new port sysutils/circonus-agent
ClosedPublic

Authored by sam_samgwydir.com on Dec 4 2017, 6:48 PM.

Details

Test Plan

Built using poudriere testport, installed and run a minimal config

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
tobik added a subscriber: tobik.Dec 4 2017, 7:09 PM

Does it pass poudriere testport?

sysutils/circonus-agent/Makefile
1 ↗(On Diff #36199)

Missing # $FreeBSD$ at the top.

2 ↗(On Diff #36199)

Use DISTVERSION

9 ↗(On Diff #36199)

Add LICENSE_FILE if possible.

19 ↗(On Diff #36199)

Typo?

22–23 ↗(On Diff #36199)

Not sure why this is necessary, but please use ${MKDIR} and ${MV}.

sysutils/circonus-agent/pkg-descr
1 ↗(On Diff #36199)

Too short.

sam_samgwydir.com marked 4 inline comments as done.Dec 4 2017, 10:50 PM
sam_samgwydir.com added inline comments.
sysutils/circonus-agent/Makefile
19 ↗(On Diff #36199)

No, following the instructions at the bottom of https://github.com/circonus-labs/circonus-agent, users might expect this name.

22–23 ↗(On Diff #36199)

dep wants the build directory in the standard Go layout and on top of that, doesn't want to see the same source twice, so I moved the contents to where a symlink is usually constructed by post-extract in the go uses file.

sam_samgwydir.com marked 2 inline comments as done.

Updated pkg-descr.

mat added inline comments.Dec 5 2017, 3:53 PM
sysutils/circonus-agent/Makefile
16 ↗(On Diff #36211)

I wonder what good is USES=go if you overwrite all the targets it uses. If it is to get the dependency on go, better add it yourself rather than depending on USES=go to do it.

sam_samgwydir.com marked an inline comment as done.

Updated to remove dep dependency and now works when built in poudriere.

sam_samgwydir.com marked an inline comment as done.
sam_samgwydir.com edited the test plan for this revision. (Show Details)

circonus-agent doesn't specify what version of go it needs to build, changing go>=1.8 to just a dependency on go.

sam_samgwydir.com marked an inline comment as done.Dec 11 2017, 5:55 PM

Passes portlint -Aac, builds in {10.4, 11.1, CURRENT}-{i386,amd64} with poudriere testport.

mat added inline comments.Jan 2 2018, 11:43 PM
sysutils/circonus-agent/Makefile
18 ↗(On Diff #36745)

default, remove.

53 ↗(On Diff #36745)
GH_SUBDIR= /src/github.com/circonus-labs/circonus-agent
sysutils/circonus-agent/pkg-plist
2 ↗(On Diff #36745)

This is bogus, %%ETCDIR%% is supposed to be a directory, not part of a path, so you should set ETCDIR=${PREFIX}/etc/circonus-agentd in the Makefile.

swills added a subscriber: swills.Jan 14 2018, 2:19 AM
swills added inline comments.Jan 14 2018, 5:44 PM
sysutils/circonus-agent/pkg-plist
2 ↗(On Diff #36745)

Also, might be better to use PLIST_FILES since the plist is so short.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 16 2018, 4:20 PM
This revision was automatically updated to reflect the committed changes.